﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace WebApplication1.Providers
{
    public class MyRoleProvider : RoleProvider
    {
        public override string[] GetAllRoles()
        {
            return new string[] { "User", "Administrator" };
        }

        public override string[] GetRolesForUser(string username)
        {
            if (username == "user")
            {
                return new string[] { "User" };
            }
            else if (username == "admin")
            {
                return new string[] { "Administrator", "User" };
            }
            else
            {
                return new string[] { };
            }
        }

        public override bool IsUserInRole(string username, string roleName)
        {
            string[] roles = GetRolesForUser(username);
            return (roles.ToList().IndexOf(roleName) > -1);
        }

        public override bool RoleExists(string roleName)
        {
            string[] roles = GetAllRoles();
            return (roles.ToList().IndexOf(roleName) > -1);
        }

        #region Unused Members

        public override void AddUsersToRoles(string[] usernames, string[] roleNames)
        {
            throw new NotImplementedException();
        }

        public override string ApplicationName
        {
            get
            {
                throw new NotImplementedException();
            }
            set
            {
                throw new NotImplementedException();
            }
        }

        public override void CreateRole(string roleName)
        {
            throw new NotImplementedException();
        }

        public override bool DeleteRole(string roleName, bool throwOnPopulatedRole)
        {
            throw new NotImplementedException();
        }

        public override string[] FindUsersInRole(string roleName, string usernameToMatch)
        {
            throw new NotImplementedException();
        }

        public override string[] GetUsersInRole(string roleName)
        {
            throw new NotImplementedException();
        }

        public override void RemoveUsersFromRoles(string[] usernames, string[] roleNames)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
